# -*- encoding: utf-8 -*-
# stub: google-iam-credentials-v1 0.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "google-iam-credentials-v1".freeze
  s.version = "0.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Google LLC".freeze]
  s.date = "2024-07-17"
  s.description = "The Service Account Credentials API creates short-lived credentials for Identity and Access Management (IAM) service accounts. You can also use this API to sign JSON Web Tokens (JWTs), as well as blobs of binary data that contain other types of tokens. Note that google-iam-credentials-v1 is a version-specific client library. For most uses, we recommend installing the main client library google-iam-credentials instead. See the readme for more details.".freeze
  s.email = "googleapis-packages@google.com".freeze
  s.files = [".yardopts".freeze, "AUTHENTICATION.md".freeze, "LICENSE.md".freeze, "README.md".freeze, "lib/google-iam-credentials-v1.rb".freeze, "lib/google/iam/credentials/v1.rb".freeze, "lib/google/iam/credentials/v1/common_pb.rb".freeze, "lib/google/iam/credentials/v1/iam_credentials.rb".freeze, "lib/google/iam/credentials/v1/iam_credentials/client.rb".freeze, "lib/google/iam/credentials/v1/iam_credentials/credentials.rb".freeze, "lib/google/iam/credentials/v1/iam_credentials/paths.rb".freeze, "lib/google/iam/credentials/v1/iamcredentials_pb.rb".freeze, "lib/google/iam/credentials/v1/iamcredentials_services_pb.rb".freeze, "lib/google/iam/credentials/v1/version.rb".freeze, "proto_docs/README.md".freeze, "proto_docs/google/api/field_behavior.rb".freeze, "proto_docs/google/api/resource.rb".freeze, "proto_docs/google/iam/credentials/v1/common.rb".freeze, "proto_docs/google/protobuf/duration.rb".freeze, "proto_docs/google/protobuf/timestamp.rb".freeze]
  s.homepage = "https://github.com/googleapis/google-cloud-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "API Client library for the IAM Service Account Credentials V1 API".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<gapic-common>.freeze, ["~> 0.4"])
    s.add_runtime_dependency(%q<google-cloud-errors>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_development_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_development_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_development_dependency(%q<rake>.freeze, [">= 12.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.18"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
  else
    s.add_dependency(%q<gapic-common>.freeze, ["~> 0.4"])
    s.add_dependency(%q<google-cloud-errors>.freeze, ["~> 1.0"])
    s.add_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_dependency(%q<rake>.freeze, [">= 12.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.18"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
  end
end
